Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class AddResponse

    java.lang.Object
      |
      +--org.openspml.message.SpmlResponse
            |
            +--org.openspml.message.AddResponse

public class AddResponse
extends SpmlResponse

A class used to represent an `addResponse` element.

This includes the vendor-specific identifier of the object that was added, and potentially a list of attributes that were not included in the `addReqeuest` but were assigned to the object as a side effect.

Fields inherited from class org.openspml.message.SpmlResponse
`ERROR_CUSTOM_ERROR, ERROR_MALFORMED_REQUEST, ERROR_NO_SUCH_IDENTIFIER, ERROR_NO_SUCH_REQUEST, ERROR_UNSUPPORTED_IDENTIFIER_TYPE, ERROR_UNSUPPORTED_OPERATION, RESULT_FAILURE, RESULT_PENDING, RESULT_SUCCESS`

Constructor Summary
`AddResponse()` Construct an object representing an `addReponse`

Method Summary
`Attribute` | `getAttribute(java.lang.String name)` Retrieve an attribute by name.
`java.util.List` | `getAttributes()` Return the list of all attributes that were assigned as as a side effect.
`java.lang.Object` | `getAttributeValue(java.lang.String name)` Retrieve the value of an attribute.
`Identifier` | `getIdentifier()` Return the identifier of the object that was added.
`java.lang.String` | `getIdentifierString()` Return the identifier of the object that was added as a string.
`void` | `setAttribute(Attribute a)` Set one attribute to be included in the response.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Set one attribute to be included in the response.
`void` | `setAttributes(java.util.List l)` Sets the list of object attributes to include in the response.
`void` | `setAttributes(java.util.Map src)` Sets the list of attributes from a map of name/value pairs.
`void` | `setIdentifier(Identifier id)` Set the identifier of the new object.
`void` | `setIdentifier(java.lang.String id)` Set the identifier of the new object as a string.

Methods inherited from class org.openspml.message.SpmlResponse
`addExtendedErrorMessage, createResponseForRequest, createResponseForRequest, dumpFile, getError, getErrorMessage, getExtendedErrorMessages, getOperationalAttribute, getOperationalAttributes, getOperationalAttributeValue, getRequestId, getResult, isFailure, parseResponse, parseResponse, parseResponse, removeOperationalAttribute, setError, setErrorMessage, setErrorMessage, setOperationalAttribute, setOperationalAttribute, setOperationalAttributes, setOperationalAttributes, setRequestId, setResult, throwErrors, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddResponse

    public AddResponse()

  Construct an object representing an `addReponse`

Method Detail

### setIdentifier

    public void setIdentifier(Identifier id)

  Set the identifier of the new object.

### setIdentifier

    public void setIdentifier(java.lang.String id)

  Set the identifier of the new object as a string. This will implicitly create an `IdentifierGenericString`

### setAttributes

    public void setAttributes(java.util.List l)

  Sets the list of object attributes to include in the response. The list must contain `Attribute` objects.
  See Also:
    `#Attribute`

### setAttributes

    public void setAttributes(java.util.Map src)

  Sets the list of attributes from a map of name/value pairs.

### setAttribute

    public void setAttribute(Attribute a)

  Set one attribute to be included in the response.

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Set one attribute to be included in the response.

### getIdentifier

    public Identifier getIdentifier()

  Return the identifier of the object that was added.

### getIdentifierString

    public java.lang.String getIdentifierString()

  Return the identifier of the object that was added as a string.

### getAttributes

    public java.util.List getAttributes()

  Return the list of all attributes that were assigned as as a side effect. The list will contain `Attribute` objects.

### getAttribute

    public Attribute getAttribute(java.lang.String name)

  Retrieve an attribute by name.

### getAttributeValue

    public java.lang.Object getAttributeValue(java.lang.String name)

  Retrieve the value of an attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD